class CreateForecasts < ActiveRecord::Migration[5.0]
  def change
    create_table :forecasts do |t|
      t.datetime :datetime
      t.string :speed
      t.integer :temp_low
      t.integer :temp_high
      t.string :weathertext
      t.string :weatherpic
      t.string :cityname
      t.string :serialnumber
      t.string :win_dir
      t.string :win_speed

      t.timestamps
    end
# 两个index 一起查询会不会导致其中一个作用几乎消失
# 需不需要按城市来分表
    add_index :forecasts, :cityname
    add_index :forecasts, :datetime
  end
end
