require "spec_helper"
require 'active_record'
require "ohm"

RSpec.describe WeatherModel do
  include WeatherModel

  # start an ohm
  Ohm.redis = Redic.new("redis://127.0.0.1:6379")
  # run migration
  Dir[File.dirname(__FILE__) + '/../db/migrate/*.rb'].each { |file| require  file }
  ActiveRecord::Base.establish_connection(
    :adapter => 'sqlite3',
    :database => 'weather-model-test.sqlite3'
  )
  ActiveRecord::Migration[5.0].subclasses.each do |migrate|
    migrate.migrate rescue nil
  end

  it "has a version number" do
    expect(WeatherModel::VERSION).not_to be nil
  end

  it 'Forecast' do
p Forecast::ShanghaiTen.all

  end
end
